# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.extensions
Class Labels

    java.lang.Object
      com.google.gdata.data.extensions.Labels

    public final class Labels

extends java.lang.Object

A utility aggregating gdata common data entry labels

Field Summary
`static Category` `HIDDEN` Common category for a hidden item
`static Category` `MINE` Common category for an item owned by the current user
`static Category` `PRIVATE` Common category for a private item
`static Category` `PUBLISHED` Common category for a published item
`static Category` `SHARED_WITH_DOMAIN` Common category for an item shared with the domain
`static Category` `STARRED` Common category for a starred item
`static Category` `TRASHED` Common category for a trashed item
`static Category` `VIEWED` Common category for a viewed item

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STARRED

    public static final Category STARRED

  Common category for a starred item

### TRASHED

    public static final Category TRASHED

  Common category for a trashed item

### PUBLISHED

    public static final Category PUBLISHED

  Common category for a published item

### PRIVATE

    public static final Category PRIVATE

  Common category for a private item

### MINE

    public static final Category MINE

  Common category for an item owned by the current user

### SHARED_WITH_DOMAIN

    public static final Category SHARED_WITH_DOMAIN

  Common category for an item shared with the domain

### HIDDEN

    public static final Category HIDDEN

  Common category for a hidden item

### VIEWED

    public static final Category VIEWED

  Common category for a viewed item